# No SOURCE spec-file
#
%define installdir /opt/%{name}

Summary:	Song Kong is an intelligent music tagger app
Name:		songkong
Version:	8.4
Release:	%mkrel 1
License:	MPLv1+
Group:		Sound
URL:		http://www.jthink.net/songkong/
Source1:	%{name}
Source2:	%{name}.desktop
#-----------------------------------------------------
Requires:	java-sun
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Song Kong is an intelligent music tagger app designed to make the task
of managing, organizing and cleaning up your digital music collection
easy. Lite version is free. Professional version require purchase of a 
license.

%prep

%build
#nobuild


%install
rm -rf %buildroot

pushd %_builddir
wget -nc http://www.jthink.net/songkong/downloads/current/songkong-linux-headless.tgz
tar -xf songkong-linux-headless.tgz

mkdir -p %{buildroot}%{installdir}
cp -r %{name}/* %{buildroot}%{installdir}
popd

mkdir -p %{buildroot}%{_bindir}
install -m 0755 %SOURCE1 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/applications/%{name}.desktop

chmod 0755 %{buildroot}%{installdir}/%{name}.sh
chmod 0755 %{buildroot}/opt/songkong/linuxjre/lib/jspawnhelper
chmod 0755 %{buildroot}/opt/songkong/linuxjre/bin/java

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{installdir}

%changelog
* Mon Aug 29 2022 tex - 8.4-1pclos2022
- new version

* Sun May 29 2022 tex - 8.3-1pclos2022
- new version

* Wed May 26 2021 tex - 7.3.2-1pclos2021
- new version

* Mon Mar 02 2021 tex - 7.1-1-1pclos2021
- new version

* Thu Nov 26 2020 tes - 6.11-1pclos2020
- create pkg
